SingletonFaultFactory (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.reflect, class: SingletonFaultFactory

# Class SingletonFaultFactory

java.lang.Object
org.apache.cayenne.reflect.SingletonFaultFactory

All Implemented Interfaces:
  `FaultFactory`

public class SingletonFaultFactory extends Object implements FaultFactory

Since:
  3.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Fault`
  `listFault`
  `protected Map<Accessor,Fault>`
  `mapFaults`
  `protected Fault`
  `setFault`
  `protected Fault`
  `toOneFault`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingletonFaultFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Fault`
  `getCollectionFault()`
  `Fault`
  `getListFault()`
  `Fault`
  `getMapFault(Accessor mapKeyAccessor)`
  `Fault`
  `getSetFault()`
  `Fault`
  `getToOneFault()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### toOneFault

    protected Fault toOneFault

  - ### listFault

    protected Fault listFault

  - ### setFault

    protected Fault setFault

  - ### mapFaults

    protected Map<Accessor,Fault> mapFaults

- ## Constructor Details

  - ### SingletonFaultFactory

    public SingletonFaultFactory()

- ## Method Details

  - ### getCollectionFault

    public Fault getCollectionFault()
    Specified by:
      `getCollectionFault` in interface `FaultFactory`

  - ### getListFault

    public Fault getListFault()
    Specified by:
      `getListFault` in interface `FaultFactory`

  - ### getMapFault

    public Fault getMapFault(Accessor mapKeyAccessor)
    Specified by:
      `getMapFault` in interface `FaultFactory`

  - ### getSetFault

    public Fault getSetFault()
    Specified by:
      `getSetFault` in interface `FaultFactory`

  - ### getToOneFault

    public Fault getToOneFault()
    Specified by:
      `getToOneFault` in interface `FaultFactory`